POST   checks/desktopapp/{checkId}/results

Get Desktop App check results in json format.

URL Parameters

NameDescription
checkId

Check identifier. Type: numeric.

Remarks


The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.

Request example and description

curl --request POST "https://api-asm1.apica.io/v3/checks/desktopapp/12345/results?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "include": {
    "steps": {
      "commands": {
        "only_with_screenshots": true,
        "arguments": {}
      }
    }
  },
  "filter": {
    "range": {
      "mostrecent": 10,
      "milliseconds_utc": [
        1376980667000,
        1376980667001
      ],
      "period": {
        "from_utc": "2013-08-20T13:32:08",
        "to_utc": "2013-08-21T13:32:08"
      },
      "result_ids": [
        "89c04935-fd29-40e2-a1c0-80c6e2840a1f",
        "e43c07c5-c5e1-4db1-baf9-615b661062af",
        "8e7b8f1a-8b16-4517-adff-4262ae95895b"
      ]
    }
  }
}"
NameType Required Description
includeObjectNo

The include section defines additional Desktop App check results information to include into the response (if it exists and can be retrieved). If this section omitted or empty, the response will only contain basic data.

stepsObjectNo

Specify the steps section to include data from steps. For including, use values: {} or true. For not including do not specify this section or use value: false.

commandsObjectNo

Specify the commands section to include data from commands. For including, use values: {} or true. For not including do not specify this section or use value: false.

only_with_screenshotsBooleanNo

The only_with_screenshots flag indicates that information about commands should be included only for commands with screenshots. Default value: false.

argumentsObjectNo

Specify the arguments section to include data from arguments. For including, use values: {} or true. For not including do not specify this section or use value: false.

filterObjectYes

The filter section defines the criteria for selecting the check results.

rangeObjectYes

This section allows to define the aggregate range of the results by combining different filters. It must contain at least one filter.

mostrecentIntegerNo

Number of most recent results.

milliseconds_utcArrayNo

Array of timestamps associated with results. Each item is represented by a UNIX Epoch timestamp (milliseconds after 1970).

periodObjectNo

The period section defines the date range to obtain results for.

from_utcDateTimeYes

Starting timestamp (in UTC) for the date range.

to_utcDateTimeYes

Ending timestamp (in UTC) for the date range.

result_idsArrayNo

Array of result identifiers to specific results.

Response body model example and description

[
  {
    "summary": {
      "result_id": "aeee37b0-4ed0-4b77-a635-93611b7b9c1c",
      "total_execution_time_ms": 2342,
      "total_step_time_ms": 2745,
      "started_utc": "2024-09-27T22:22:26",
      "stopped_utc": "2024-09-27T22:22:26",
      "message": "OK",
      "severity": "I"
    },
    "steps": [
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startStep",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "1000"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "processStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      }
    ]
  },
  {
    "summary": {
      "result_id": "009ea474-9460-45c2-b80f-a2087176c9c4",
      "total_execution_time_ms": 2342,
      "total_step_time_ms": 2745,
      "started_utc": "2024-09-27T22:22:26",
      "stopped_utc": "2024-09-27T22:22:26",
      "message": "OK",
      "severity": "I"
    },
    "steps": [
      {
        "title": "processStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      }
    ]
  },
  {
    "summary": {
      "result_id": "0918af11-e99a-4d5b-89e0-799d16e45b51",
      "total_execution_time_ms": 2342,
      "total_step_time_ms": 2745,
      "started_utc": "2024-09-27T22:22:26",
      "stopped_utc": "2024-09-27T22:22:26",
      "message": "OK",
      "severity": "I"
    },
    "steps": [
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startStep",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "1000"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      },
      {
        "title": "endStep",
        "command_count": 10,
        "started_utc": "2024-09-27T22:22:26",
        "stopped_utc": "2024-09-27T22:22:26",
        "duration_ms": 3,
        "commands": [
          {
            "name": "startStep",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "1000"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "pause",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          },
          {
            "name": "startApplication",
            "started_utc": "2024-09-27T22:22:26",
            "stopped_utc": "2024-09-27T22:22:26",
            "elapsed_ms": 4563,
            "ignore_timing": true,
            "screenshot_id": "408b07ee-XXXX-XXXX-XXXX-afb20a4c7352",
            "error_message": "Path not found.",
            "arguments": [
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "stepName",
                "value": "C:\Windows\System32\"
              },
              {
                "name": "template",
                "value": "C:\Windows\System32\"
              }
            ]
          }
        ]
      }
    ]
  }
]
NameType Description
summaryObject

The result summary.

result_idGuid

The result identifier.

total_execution_time_msInteger

Total execution time in ms.

total_step_time_msInteger

Total steps time in ms.

started_utcDateTime

Start timestamp.

stopped_utcDateTime

Stopped timestamp.

messageString

The result message.

severityString

The result severity.

stepsArray

Result's steps.

titleString

The title of the step.

command_countInteger

Count of commands.

started_utcDateTime

Started timestamp.

stopped_utcDateTime

Stopped timestamp.

duration_msInteger

The step duration in ms.

commandsArray

Step commands.

nameString

Command name.

started_utcDateTime

Started timestamp.

stopped_utcDateTime

Stopped timestamp.

elapsed_msInteger

Elapsed time in ms.

ignore_timingBoolean

'Ignore timing' status.

screenshot_idString

Screenshot ID can be numeric or GUID.

error_messageString

Error message.

argumentsArray

Command arguments.

nameString

Argument name.

valueString

Argument value.